clear all
close all
clc

nruns = 20;

folder = 'CFRP_Laminate-20190926-165029';
histname = 'CFRP_Laminate.flxhst';
dataname = 'CFRP_Laminate.flxdato';

Bscan = [];

for i = 1:nruns
%    load([folder '\' int2str(i) '\' histname]);
    Hist = read_history([folder '\' int2str(i) '\' histname]);
    Bscan = [Bscan Hist.DataRecB(2).Data];
 %   Data = read_data([folder '\' int2str(i) '\' dataname]);
end

xax = 0:0.5:30;
yax = Hist.TimeRecB.Time(1:end,1) * 1e6;
figure;
imagesc(xax,yax,Bscan)
%xlim([8 14])
%ylim([6 14])

colormap jet


